<div class="weight-history">
    <h1>Hisórico de peso</h1>
    <div class="weight-history__actions">
        <div class="range-history">
            <mat-icon aria-hidden="false">date_range</mat-icon>
            {{ startDate }} - {{ endDate }}
        </div>
        <div class="flex-grow-1"></div>
        <!-- Range selector-->

        {{ weightDateRange['3M'] }}
        <div class="range-weight-selector">
            <mat-button-toggle-group class="selector-weight-toggle"
            (change)="onWeightToggleChange($event)" >

                <mat-button-toggle *ngFor="let weightDate of weightDateRange; let i = index"
                        [value]="weightDate"
                        [checked]="i === 0">
                        <span>{{ 'progress.weight-date-range.'+weightDate | translate }}</span>
                </mat-button-toggle>

            </mat-button-toggle-group>
        </div>

        <!-- Add weight-->
        <button mat-raised-button 
        class="ml-2 small"
        color="primary"
        mat-raised-button color="accent"
        (click)="registerWeight()">
            Añadir valor
        </button>

    </div>
    <!-- Chart-->
    <div id="weight-chart"></div>
</div>